package ch.bbw.pr.tresorbackend.service;

import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;
import org.springframework.beans.factory.annotation.Value;

import java.util.Map;

@Service
public class RecaptchaService {

    @Value("${google.recaptcha.secret}")
    private String recaptchaSecret;

    private static final String VERIFY_URL = "https://www.google.com/recaptcha/api/siteverify";

    public boolean verifyToken(String token) {
        RestTemplate restTemplate = new RestTemplate();
        Map<String, String> body = Map.of(
                "secret", recaptchaSecret,
                "response", token
        );

        String url = VERIFY_URL + "?secret=" + recaptchaSecret + "&response=" + token;

        Map<String, Object> response = restTemplate.postForObject(url, null, Map.class);

        return (Boolean) response.get("success");
    }
}
